Package fr.gouv.vitam.logbook.common.model.coherence

# Enum Class LogbookEventType

java.lang.Object
java.lang.Enum<LogbookEventType>
fr.gouv.vitam.logbook.common.model.coherence.LogbookEventType

All Implemented Interfaces:
  `Serializable`, `Comparable<LogbookEventType>`, `Constable`

public enum LogbookEventType extends Enum<LogbookEventType>
Enumeration of the Vitam logbook events' types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTION`
  `DEFAULT`
  `OBJECTGROUP_LFC`
  `OPERATION`
  `STEP`
  `TASK`
  `UNIT_LFC`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LogbookEventType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LogbookEventType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OPERATION

    public static final LogbookEventType OPERATION

  - ### UNIT_LFC

    public static final LogbookEventType UNIT_LFC

  - ### OBJECTGROUP_LFC

    public static final LogbookEventType OBJECTGROUP_LFC

  - ### STEP

    public static final LogbookEventType STEP

  - ### ACTION

    public static final LogbookEventType ACTION

  - ### TASK

    public static final LogbookEventType TASK

  - ### DEFAULT

    public static final LogbookEventType DEFAULT

- ## Method Details

  - ### values

    public static LogbookEventType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LogbookEventType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null